<?php
/**
 *
 *
 */
class Groupe
{
    public $contenu = array(); //Tableau contenant les vaisseaux de l'utilisateur
    public $caracteristiques = array();
    public $example = array(
        array("somme boucliers", "somme pv", "nbVaisseauxInitiaux")
    );
    public $user; //Classe donnant des informations sur l'utilisateur de la flotte ou l'ID de l'utilisateur
    public $camp = 0; //Camp du groupe
    public $timestamp = 0; //TImestamp de la dernière attaque
    public $actions = array(); //Tableau des actions faite ou à faire
    public $action_encours = 0;

    /**
     * Constructor
     */
    public function __construct()
    {
    }

    public function regenereBoucliers()
    {
        // foreach ($this->caracteristiques as $caracteristique)
        // {
        // 	if ($this->actions[$action_encours][0] == 2)
        // 		$
        // }
    }
}
